Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6467 - Cannot upgrade RH Linux if root!=/dev/hda2
Summary: Cannot upgrade RH Linux if root!=/dev/hda2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-28 16:11 UTC by zbeckman
Modified: 2015-01-07 23:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-30 17:33:15 UTC


Attachments (Terms of Use)

Description zbeckman 1999-10-28 16:11:04 UTC
The installer process fails to detect a pre-installed Linux
if the root partition is other than /dev/hda2. After
selecting the upgrade process, the installer attempts to
detect partitions; it fails with an error mounting /dev/hda2
and then freezes (at which point is is necessary to kill hte
installer or simply reboot). Behavior is identical on
graphic and text and expert installer modes. I have been
unable to get around the problem; it seems that it is
impossible to upgrade RH Linux in my situation (i.e.: where
my root partition is /dev/hda5). I've tried the following:

1. Use 'hda=cyl,head,sec' at the boot prompt,
2. Use 'root=/dev/hda5' at the boot prompt,
3. Obtain latest (anaconda) boot/updates (this crashes the
installer without leaving any explanation as to why on the
console).

Comment 1 Jay Turner 1999-10-29 17:35:59 UTC
Please send a copy of you /etc/fstab as well as output from fdisk -l

Comment 2 greg.hubbard 1999-11-11 16:00:59 UTC
Howdy -- I think I have a similar problem with upgrading, though the
particulars are different.  Here is my dump of the information you
asked for.

COPY OF /ETC/FSTAB

[ghubbard@bach ghubbard]$ cat /etc/fstab
/dev/hda3               /                       ext2
defaults        1 1
/dev/hda1               /dos                    msdos
defaults        0 0
/dev/hda2               swap                    swap
defaults        0 0
/dev/fd0                /mnt/floppy             ext2
noauto          0 0
/dev/cdrom              /mnt/cdrom              iso9660
noauto,ro       0 0
none                    /proc                   proc
defaults        0 0

OUTPUT OF FDISK -L

[root@bach ghubbard]# /sbin/fdisk -l

Disk /dev/hda: 64 heads, 63 sectors, 1023 cylinders
Units = cylinders of 4032 * 512 bytes

   Device Boot    Start      End   Blocks   Id  System
/dev/hda1   *         1      407   820480+   7  OS/2 HPFS
/dev/hda2           408      440    66528   82  Linux swap
/dev/hda3           441     1023  1175328   83  Linux native

I use a LILO floppy to boot Linux on this system, leaving NT
Workstation undisturbed (and unaware) of the Linux partitions.

Comment 3 Jay Turner 1999-11-30 17:33:59 UTC
You are going to need to use the updated boot images and updates disk in order
for the 6.1 upgrade to work correctly.  There is a bug with the installer
recognizing NTFS/HPFS partitions, and that appears to be the problem you are
having.  Download the latest boot image (whichever is appropriate) and the
updates image and try again.  Please reopen this bug if you continue to have
problems after applying the fixes.


Note You need to log in before you can comment on or make changes to this bug.